<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>Figure</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Figure";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Figure.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/model/Figure.html" target="_top">Frames</a></li>
<li><a href="Figure.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.model</div>
<h2 title="Class Figure" class="title">Class Figure</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.model.Figure</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Figure</span>
extends java.lang.Object</pre>
<div class="block">Figure description.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#BISHOP">BISHOP</a></span></code>
<div class="block">Type of the Figure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#CASTLE">CASTLE</a></span></code>
<div class="block">Type of the Figure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#KING">KING</a></span></code>
<div class="block">Type of the Figure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#KNIGHT">KNIGHT</a></span></code>
<div class="block">Type of the Figure.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#PAWN">PAWN</a></span></code>
<div class="block">Type of the Figure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#QUEEN">QUEEN</a></span></code>
<div class="block">Type of the Figure.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#Figure-boolean-int-java.lang.String-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Board-">Figure</a></span>(boolean&nbsp;white,
      int&nbsp;type,
      java.lang.String&nbsp;n,
      <a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f,
      <a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#applyCheckCounterMeasures-java.util.ArrayList-java.util.ArrayList-">applyCheckCounterMeasures</a></span>(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;counterCheckFields,
                         java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;coveredFields)</code>
<div class="block">Keep only fields in move and attack list, that are in the counter check
 fields list.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#clearStateLists--">clearStateLists</a></span>()</code>
<div class="block">Clears all information about attackers and Figures being attacked or
 covered as well as information about possible check threads from or to the
 Figure.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getAttackersList--">getAttackersList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getAttackList--">getAttackList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getBlockList--">getBlockList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getBoard--">getBoard</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getChainedThreadPaths--">getChainedThreadPaths</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getCheckPaths--">getCheckPaths</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getCheckThreadPaths--">getCheckThreadPaths</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getCoverList--">getCoverList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getField--">getField</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getFigureName--">getFigureName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getGhostMoveList--">getGhostMoveList</a></span>()</code>
<div class="block">This list is a collection of fields this figure could reach, if an
 opposing figure wasn't in its way.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.awt.image.BufferedImage</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getImage--">getImage</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getMoveList--">getMoveList</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#getType--">getType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#highlightFields--">highlightFields</a></span>()</code>
<div class="block">Highlights the fields concerning the next possible move of this figure.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#isCheck--">isCheck</a></span>()</code>
<div class="block">Applies only to kings.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#isInGame--">isInGame</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#isMate--">isMate</a></span>()</code>
<div class="block">Applies only to kings.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#isUntouched--">isUntouched</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#isWhite--">isWhite</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#setBoard-de.rowlo.tridchess.model.Board-">setBoard</a></span>(<a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;board)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#setField-de.rowlo.tridchess.model.Field-">setField</a></span>(<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;field)</code>
<div class="block">Sets field where the figure stands and updates old and new fields' figure
 attribute.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#setGhostMoveList-java.util.ArrayList-">setGhostMoveList</a></span>(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#setImage-java.awt.image.BufferedImage-">setImage</a></span>(java.awt.image.BufferedImage&nbsp;image)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#setInGame-boolean-">setInGame</a></span>(boolean&nbsp;inGame)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#setMate-boolean-">setMate</a></span>(boolean&nbsp;mate)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#setMoveList-java.util.ArrayList-">setMoveList</a></span>(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#setName-java.lang.String-">setName</a></span>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#setWhite-boolean-">setWhite</a></span>(boolean&nbsp;isWhite)</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/model/Figure.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PAWN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PAWN</h4>
<pre>public static final&nbsp;int PAWN</pre>
<div class="block">Type of the Figure.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Figure.PAWN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CASTLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CASTLE</h4>
<pre>public static final&nbsp;int CASTLE</pre>
<div class="block">Type of the Figure.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Figure.CASTLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="KNIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>KNIGHT</h4>
<pre>public static final&nbsp;int KNIGHT</pre>
<div class="block">Type of the Figure.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Figure.KNIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BISHOP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BISHOP</h4>
<pre>public static final&nbsp;int BISHOP</pre>
<div class="block">Type of the Figure.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Figure.BISHOP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="QUEEN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUEEN</h4>
<pre>public static final&nbsp;int QUEEN</pre>
<div class="block">Type of the Figure.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Figure.QUEEN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="KING">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>KING</h4>
<pre>public static final&nbsp;int KING</pre>
<div class="block">Type of the Figure.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.model.Figure.KING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Figure-boolean-int-java.lang.String-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Board-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Figure</h4>
<pre>public&nbsp;Figure(boolean&nbsp;white,
              int&nbsp;type,
              java.lang.String&nbsp;n,
              <a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;f,
              <a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>type</code> - figure type</dd>
<dd><code>n</code> - String (image file name); not null</dd>
<dd><code>f</code> - Field; if null figure is not in game</dd>
<dd><code>b</code> - Board; not null</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public&nbsp;int&nbsp;getType()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>type</dd>
</dl>
</li>
</ul>
<a name="getBoard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoard</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;getBoard()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Board</dd>
</dl>
</li>
</ul>
<a name="setBoard-de.rowlo.tridchess.model.Board-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoard</h4>
<pre>public&nbsp;void&nbsp;setBoard(<a href="../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;board)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>board</code> - Board</dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Name</dd>
</dl>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(java.lang.String&nbsp;name)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - String</dd>
</dl>
</li>
</ul>
<a name="getField--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getField</h4>
<pre>public&nbsp;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;getField()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>field</dd>
</dl>
</li>
</ul>
<a name="setField-de.rowlo.tridchess.model.Field-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setField</h4>
<pre>public&nbsp;void&nbsp;setField(<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&nbsp;field)</pre>
<div class="block">Sets field where the figure stands and updates old and new fields' figure
 attribute.<br>
 Calls back board's moveLog method to report the move.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - Field</dd>
</dl>
</li>
</ul>
<a name="getImage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getImage</h4>
<pre>public&nbsp;java.awt.image.BufferedImage&nbsp;getImage()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the image</dd>
</dl>
</li>
</ul>
<a name="setImage-java.awt.image.BufferedImage-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setImage</h4>
<pre>public&nbsp;void&nbsp;setImage(java.awt.image.BufferedImage&nbsp;image)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>image</code> - BufferedImage</dd>
</dl>
</li>
</ul>
<a name="isUntouched--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUntouched</h4>
<pre>public&nbsp;boolean&nbsp;isUntouched()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if figure was not moved so far</dd>
</dl>
</li>
</ul>
<a name="isInGame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isInGame</h4>
<pre>public&nbsp;boolean&nbsp;isInGame()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>inGame</dd>
</dl>
</li>
</ul>
<a name="setInGame-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInGame</h4>
<pre>public&nbsp;void&nbsp;setInGame(boolean&nbsp;inGame)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inGame</code> - boolean</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="isWhite--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isWhite</h4>
<pre>public&nbsp;boolean&nbsp;isWhite()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>isWhite</dd>
</dl>
</li>
</ul>
<a name="setWhite-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWhite</h4>
<pre>public&nbsp;void&nbsp;setWhite(boolean&nbsp;isWhite)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isWhite</code> - boolean</dd>
</dl>
</li>
</ul>
<a name="getFigureName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFigureName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getFigureName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the Figure.</dd>
</dl>
</li>
</ul>
<a name="isCheck--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCheck</h4>
<pre>public&nbsp;boolean&nbsp;isCheck()</pre>
<div class="block">Applies only to kings.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if king is check</dd>
</dl>
</li>
</ul>
<a name="applyCheckCounterMeasures-java.util.ArrayList-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>applyCheckCounterMeasures</h4>
<pre>public&nbsp;void&nbsp;applyCheckCounterMeasures(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;counterCheckFields,
                                      java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;coveredFields)</pre>
<div class="block">Keep only fields in move and attack list, that are in the counter check
 fields list.<br>
 Kings keep their move fields without the ones also present in the covered
 fields.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>counterCheckFields</code> - </dd>
<dd><code>coveredFields</code> - </dd>
</dl>
</li>
</ul>
<a name="isMate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMate</h4>
<pre>public&nbsp;boolean&nbsp;isMate()</pre>
<div class="block">Applies only to kings.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if king is check mate</dd>
</dl>
</li>
</ul>
<a name="setMate-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMate</h4>
<pre>public&nbsp;void&nbsp;setMate(boolean&nbsp;mate)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mate</code> - boolean</dd>
</dl>
</li>
</ul>
<a name="getAttackList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttackList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;getAttackList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the attackList</dd>
</dl>
</li>
</ul>
<a name="getBlockList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;getBlockList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the blockList</dd>
</dl>
</li>
</ul>
<a name="getCoverList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCoverList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;getCoverList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the coverList</dd>
</dl>
</li>
</ul>
<a name="getMoveList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMoveList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;getMoveList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the moveList</dd>
</dl>
</li>
</ul>
<a name="setMoveList-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMoveList</h4>
<pre>public&nbsp;void&nbsp;setMoveList(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - the new moveList; not null</dd>
</dl>
</li>
</ul>
<a name="getGhostMoveList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGhostMoveList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;getGhostMoveList()</pre>
<div class="block">This list is a collection of fields this figure could reach, if an
 opposing figure wasn't in its way.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the ghostMoveList</dd>
</dl>
</li>
</ul>
<a name="setGhostMoveList-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGhostMoveList</h4>
<pre>public&nbsp;void&nbsp;setGhostMoveList(java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;list)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - the new ghostMoveList; not null</dd>
</dl>
</li>
</ul>
<a name="getAttackersList--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttackersList</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&nbsp;getAttackersList()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the attackersList</dd>
</dl>
</li>
</ul>
<a name="getChainedThreadPaths--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChainedThreadPaths</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&gt;&nbsp;getChainedThreadPaths()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the chainedThreadPaths</dd>
</dl>
</li>
</ul>
<a name="getCheckPaths--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCheckPaths</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&gt;&nbsp;getCheckPaths()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the checkPaths</dd>
</dl>
</li>
</ul>
<a name="getCheckThreadPaths--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCheckThreadPaths</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.util.ArrayList&lt;<a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>&gt;&gt;&nbsp;getCheckThreadPaths()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the checkThreadPaths</dd>
</dl>
</li>
</ul>
<a name="clearStateLists--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearStateLists</h4>
<pre>public&nbsp;void&nbsp;clearStateLists()</pre>
<div class="block">Clears all information about attackers and Figures being attacked or
 covered as well as information about possible check threads from or to the
 Figure.</div>
</li>
</ul>
<a name="highlightFields--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>highlightFields</h4>
<pre>public&nbsp;void&nbsp;highlightFields()</pre>
<div class="block">Highlights the fields concerning the next possible move of this figure.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Figure.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/model/Figure.html" target="_top">Frames</a></li>
<li><a href="Figure.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
